### Class

# Snapd Maintenance

since: 1.45

#### Description [src]

    final class Snapd.Maintenance : GObject.Object
    {
      /* No available fields */
    }

`SnapdMaintenance` contains maintenance information.

Available since: 1.45

#### Ancestors

- GObject

#### Instance methods

###### snapd_maintenance_get_kind

Get the kind of maintenance kind, e.g. `SNAPD_MAINTENANCE_KIND_DAEMON_RESTART`.

since: 1.45

###### snapd_maintenance_get_message

Get the user readable message associate with the maintenance state.

since: 1.45

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.Maintenance:kind

No description available.

###### Snapd.Maintenance:message

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdMaintenanceClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.